WebKit.Launch | index /usr/local/share/webware/WebKit/Launch.py

`Launch.py
DESCRIPTION
Python launch script for the WebKit application server.
This launch script will run in its standard location in the Webware/WebKit
directory as well as in a WebKit work directory outside of the Webware tree.
USAGE
Launch.py [StartOptions] [AppServer [AppServerOptions]]
StartOptions:
-d, --work-dir=... Set the path to the app server working directory.
By default this is the directory containing Lauch.py.
-w, --webware-dir=... Set the path to the Webware root directory.
By default this is the parent directory.
-l, --library=... Other directories to be included in the search path.
You may specify this option multiple times.
-p, --run-profile Set this to get profiling going (see Profiler.py).
-o, --log-file=... Redirect standard output and error to this file.
-i, --pid-file=... Set the file path to hold the app server process id.
This option is fully supported under Unix only.
-u, --user=... The name or uid of the user to run the app server.
This option is supported under Unix only.
-g, --group=... The name or gid of the group to run the app server.
This option is supported under Unix only.
AppServer:
The name of the application server module.
By default, the ThreadedAppServer will be used.
AppServerOptions:
Options that shall be passed to the application server.
For instance, the ThreadedAppServer accepts: start, stop, daemon
You can also change configuration settings here by passing
arguments of the form ClassName.SettingName=value
Please note that the default values for the StartOptions and the AppServer
can be easily changed at the top of the Launch.py script.`

Modules
`` |  |
os | sys |  |

Functions
`` |  | launchWebKit(appServer='ThreadedAppServer', workDir=None, args=None) `Import and launch the specified WebKit app server. appServer -- the name of the WebKit app server module workDir -- the server-side work directory of the app server args -- other options that will be given to the app server` main(args=None) `Evaluate the command line arguments and call launchWebKit.` usage() `Print the docstring and exit with error.`

Data
`` |  | appServer = 'ThreadedAppServer' group = None libraryDirs = [] logFile = None pidFile = None runProfile = False user = None webwareDir = None workDir = None